Skip to main content
POST
/
api
/
decks
/
{deckId}
/
slides
Create a slide
curl --request POST \
  --url https://app.demandiq.com/api/decks/{deckId}/slides \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "slideId": "intro-slide",
  "title": "Welcome to Your Solar Journey",
  "narrationScript": "Hi {{first_name}}, let's walk through your personalized solar proposal.",
  "bullets": [
    "30% energy savings",
    "25-year warranty"
  ],
  "slideContext": "<string>",
  "audioUrl": "<string>",
  "heroImg": "<string>",
  "orderIndex": 123,
  "slideType": "standard",
  "productData": {
    "subtitle": "<string>",
    "brandLogo": "<string>",
    "disclaimer": "<string>",
    "defaultSelectedTier": "good",
    "backgroundColor": "<string>",
    "selectionColor": "<string>",
    "roundTo": 123,
    "good": {},
    "better": {},
    "best": {}
  }
}
EOF
{
  "slide": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slideId": "<string>",
    "title": "<string>",
    "bullets": [
      "<string>"
    ],
    "narrationScript": "<string>",
    "slideContext": "<string>",
    "audioUrl": "<string>",
    "heroImg": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "orderIndex": 123,
    "slideType": "standard",
    "productData": {
      "subtitle": "<string>",
      "brandLogo": "<string>",
      "disclaimer": "<string>",
      "defaultSelectedTier": "good",
      "backgroundColor": "<string>",
      "selectionColor": "<string>",
      "roundTo": 123,
      "good": {},
      "better": {},
      "best": {}
    }
  }
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Body

application/json
slideId
string
required
Example:

"intro-slide"

title
string
required
Example:

"Welcome to Your Solar Journey"

narrationScript
string
required
Example:

"Hi {{first_name}}, let's walk through your personalized solar proposal."

bullets
string[]
Example:
["30% energy savings", "25-year warranty"]
slideContext
string
audioUrl
string
heroImg
string
orderIndex
integer
slideType
enum<string>
default:standard
Available options:
standard,
product_pricing_v1
productData
object

Response

201 - application/json

Slide created

slide
object